This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: ncurses putwin() fails in test_module_funcs
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: serhiy.storchaka, twouters, xdegaye, yan12125
Priority: normal Keywords:

Created on 2016-06-15 08:15 by xdegaye, last changed 2022-04-11 14:58 by admin. This issue is now closed.

Messages (6)
msg268608 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-06-15 08:15
This is with ncurses 6.0.

$ ./python -m test -v -u curses -m test_module_funcs test_curses
== CPython 3.6.0a2+ (default:e3bb87952c62, Jun 15 2016, 08:24:47) [GCC 6.1.1 20160501]
==   Linux-4.6.1-2-ARCH-x86_64-with-arch little-endian
==   hash algorithm: siphash24 64bit
==   /home/xavier/src/python/default/build/test_python_17932
Testing with flags: sys.flags(debug=0, inspect=0, interactive=0, optimize=0, dont_write_bytecode=0, no_user_site=0, no_site=0, ignore_environment=0, verbose=0, bytes_warning=0, quiet=0, hash_randomization=1, isolated=0)
Run tests sequentially
0:00:00 [1/1] test_curses
test_module_funcs (test.test_curses.TestCurses)
Test module-level functions ... 
ERROR

======================================================================
ERROR: test_module_funcs (test.test_curses.TestCurses)
Test module-level functions
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/xavier/src/python/default/Lib/test/test_curses.py", line 212, in test_module_funcs
    self.stdscr.putwin(f)
_curses.error: putwin() returned ERR
msg273229 - (view) Author: Chih-Hsuan Yen (yan12125) * Date: 2016-08-20 17:19
This is actually a ncurses bug: http://lists.gnu.org/archive/html/bug-ncurses/2016-05/msg00000.html
msg273233 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-08-20 18:04
Thanks Chi Hsuan Yen.

Just wondering, how you built Python with ncurses 6.0 Xavier? There is an issue with compiling with ncurses 6.0 (issue25720).
msg273235 - (view) Author: Chih-Hsuan Yen (yan12125) * Date: 2016-08-20 18:19
NCURSES_OPAQUE is enabled if --with-reentrant is used. From Xavier's log I guess it's on Arch Linux. Arch Linux does not use --with-reentrant in ncurses [1] and it seems OpenSUSE does [2].

[1] https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/ncurses
[2] http://download.opensuse.org/repositories/home:/sleep_walker:/ncurses/openSUSE_Factory_ARM/src/ncurses6-6.0-13.9.src.rpm
msg273238 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-08-20 18:25
Thanks again for estimation.
msg274581 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-09-06 18:06
> Just wondering, how you built Python with ncurses 6.0 Xavier?

I am using archlinux ncurses 6.0 [1] (sorry for the delay, no internet on a sail crossing).

[1] https://www.archlinux.org/packages/core/x86_64/ncurses/
History
Date User Action Args
2022-04-11 14:58:32adminsetgithub: 71510
2016-09-06 18:06:03xdegayesetmessages: + msg274581
2016-08-20 18:25:23serhiy.storchakasetmessages: + msg273238
2016-08-20 18:19:39yan12125setmessages: + msg273235
2016-08-20 18:04:51serhiy.storchakasetstatus: open -> closed
resolution: third party
messages: + msg273233

stage: resolved
2016-08-20 17:19:17yan12125setmessages: + msg273229
2016-08-20 15:39:49yan12125setnosy: + yan12125
2016-06-15 10:13:54xdegayesetversions: + Python 2.7, Python 3.5
2016-06-15 08:15:10xdegayecreate